/* Form error message */
div.error-message {
	clear: both;
	color: #900;
	font-weight: bold;
}

/* JuliaConfig */
div.julia_config legend {
   font-size: 16px;
}

/* Julia Footer on default_bootstrap */
#julia_footer {
  height: 60px;
        margin-top:20px;
        padding-top: 15px;
    background-color: #f5f5f5;
}

.affix,.affix-top {
       position:static;
}


/* table with details - toggle */
table.juliaDetail {
    width: auto;
    margin-bottom: 10px;
    padding: 50px;
}

th.juliaDetail {
    padding: 1px 10px 1px 0px;
    border: 0px;
    font-size: 12px;
    white-space: nowrap;
    vertical-align:top;
}

td.juliaDetail {
    padding: 1px 30px 1px 0px;
    border: 0px solid;
    font-size: 12px;
    white-space: pre-wrap;
    word-wrap: break-word;
    vertical-align: top;
}


/* table with action buttons */
td.actionButtons {
    width: 10px;
    margin-right: 5px;
}


/* table responsive for higher resolution */
@media (max-width: 2768px) {
  .table-responsive {
    width: 100%;
    margin-bottom: 15px;
    overflow-x: auto;
    overflow-y: hidden;
    border: 1px solid #dddddd;
  }
  .table-responsive > .table {
    margin-bottom: 0;
    background-color: #fff;
  }
  .table-responsive > .table > thead > tr > th,
  .table-responsive > .table > tbody > tr > th,
  .table-responsive > .table > tfoot > tr > th,
  .table-responsive > .table > thead > tr > td,
  .table-responsive > .table > tbody > tr > td,
  .table-responsive > .table > tfoot > tr > td {
    white-space: nowrap;
  }
  .table-responsive > .table-bordered {
    border: 0;
  }
  .table-responsive > .table-bordered > thead > tr > th:first-child,
  .table-responsive > .table-bordered > tbody > tr > th:first-child,
  .table-responsive > .table-bordered > tfoot > tr > th:first-child,
  .table-responsive > .table-bordered > thead > tr > td:first-child,
  .table-responsive > .table-bordered > tbody > tr > td:first-child,
  .table-responsive > .table-bordered > tfoot > tr > td:first-child {
    border-left: 0;
  }
  .table-responsive > .table-bordered > thead > tr > th:last-child,
  .table-responsive > .table-bordered > tbody > tr > th:last-child,
  .table-responsive > .table-bordered > tfoot > tr > th:last-child,
  .table-responsive > .table-bordered > thead > tr > td:last-child,
  .table-responsive > .table-bordered > tbody > tr > td:last-child,
  .table-responsive > .table-bordered > tfoot > tr > td:last-child {
    border-right: 0;
  }
  .table-responsive > .table-bordered > thead > tr:last-child > th,
  .table-responsive > .table-bordered > tbody > tr:last-child > th,
  .table-responsive > .table-bordered > tfoot > tr:last-child > th,
  .table-responsive > .table-bordered > thead > tr:last-child > td,
  .table-responsive > .table-bordered > tbody > tr:last-child > td,
  .table-responsive > .table-bordered > tfoot > tr:last-child > td {
    border-bottom: 0;
  }
}

/* for pagination in size sm */
/* missing css for disabled and current classes - used in cakephp 1.3 */
.julia-pagination-sm .current,
.julia-pagination-sm .disabled {
    float: left;
    padding: 5px 10px;
    font-size: 12px;
    color: #999;
    border: 1px solid #DDD;
    border-left-width: 0;

}

.julia-pagination-sm .current {
    z-index: 2;
    color: #ffffff;
    cursor: default;
    background-color: #428bca;
    border-color: #428bca;
}

.julia-pagination-sm .first {
    border: 1px solid #DDD;
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}

.julia-pagination-sm .last {
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
}

/* for pagination in size xs */
/* missing css for disabled and current classes - used in cakephp 1.3 */
.julia-pagination-xs .current,
.julia-pagination-xs .disabled {
    float: left;
    padding: 2px 7px;
    font-size: 12px;
    color: #999;
    border: 1px solid #DDD;
    border-left-width: 0;
}

.julia-pagination-xs .current {
    z-index: 2;
    color: #ffffff;
    cursor: default;
    background-color: #428bca;
    border-color: #428bca;
}

.julia-pagination-xs .first {
    border: 1px solid #DDD;
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}

.julia-pagination-xs .last {
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
}

.pagination-xs > li > a,
.pagination-xs > li > span {
  padding: 2px 7px;
  font-size: 12px;
}
.pagination-xs > li:first-child > a,
.pagination-xs > li:first-child > span {
  border-top-left-radius: 3px;
  border-bottom-left-radius: 3px;
}
.pagination-xs > li:last-child > a,
.pagination-xs > li:last-child > span {
  border-top-right-radius: 3px;
  border-bottom-right-radius: 3px;
}


/* for small input fields */
.input-xs {
    height: 24px;
    padding: 0px 10px;
    font-size: 12px;
    line-height: 1.0;
    border-radius: 3px;
}


/* set font options (color, weight) of legend in fieldset */
/* used in rules13/edit */

fieldset legend span.error {
    color: #a94442;
    font-weight: bold;
}
fieldset legend span.change {
    color: #f0ad4e;
    font-weight: bold;
}
fieldset legend span.set {
    font-weight: bold;
}

fieldset .cursorPointer {
    cursor: pointer;
}

/* set pulldown menu for typeahead */
/* used in rules13/edit */
.typeahaedSuggestion-message {
    padding: 5px 10px;
    color: black;
}

.typeahaedFooter {
    border-top-style: solid;
    border-color: black;
    border-width: 1px;
    padding: 5px 10px 0px;
    text-align: center;
}


/* set colors for different key engines */
/* used in rules13/edit */
.keyEngine {
    color: #aaaaaa;
}
.keyEngine.pgp {
    color: #3a743a;
}
.keyEngine.smime {
    color: #275378;
}
.keyEngine.both {
    color: #000000;
}


/* set popover scrollable */
/* used in rules13/index */
.popoverScrollable .popover-content {
    max-height: 133px;
    overflow-y: scroll;
}

/* for navbar of bootstrap*/
/* highlight header in submenu*/
.dropdown-header {
    display: block;
    padding: 10px 20px;
    font-size: 12px;
    line-height: 1.42857143;

    white-space: nowrap;

    background-color: #222;
    border-color: #080808;
    color: #fff;

}


